package com.framsticks.running;

import org.testng.annotations.Test;

import com.framsticks.core.Framsticks;
import com.framsticks.remote.RemoteInstance;
import com.framsticks.test.TestConfiguration;

import static org.fest.assertions.Assertions.*;

@Test
public class FramsServerTest extends TestConfiguration {

	@Test
	public void runServer() {
		Framsticks framsticks = Framsticks.loadConfiguration(FramsServerTest.class.getResourceAsStream("/configs/FramsServerTest.xml"));

		assertThat(framsticks.getObservables().size()).isEqualTo(2);
		assertThat(framsticks.getObservables().get("frams")).isInstanceOf(FramsServer.class);
		assertThat(framsticks.getObservables().get("remote")).isInstanceOf(RemoteInstance.class);

		// framsticks.start();

		// framsticks.waitForObservables();

	}

}
