package com.framsticks.model.f0;

import com.framsticks.params.annotations.FramsClassAnnotation;
import com.framsticks.params.annotations.ParamAnnotation;

/**
 * The Class NeuroConnection.
 */
@FramsClassAnnotation
public class NeuroConnection {

	@ParamAnnotation(id = "n1")
	public Integer thisNeuro;

	@ParamAnnotation(id = "n2")
	public Integer connectedNeuro;

	@ParamAnnotation(id = "w")
	public Double weight;

	@ParamAnnotation(id = "i")
	public String info;

	@ParamAnnotation(id = "Vstyle")
	public String visStyle;

}
