package com.framsticks.model.f0;

/**
 * The Class with VisualHints constants.
 */
public final class VisualHints {

	/** don't draw class name label below the neuron. */
	public static final int DONT_SHOW_CLASS = 2;
	
	/** draw the neuron at the first part when attached to joint (default is in the middle). */
	public static final int AT_FIRST_PART = 4;
	
	/** draw the neuron at the second part when attached to joint (default is in the middle). */
	public static final int AT_SECOND_PART = 8;
	
	/** use effector color for this neuro unit. */
	public static final int EFFECTOR_CLASS = 16;
	
	/** use receptor color for this neuro unit. */
	public static final int RECEPTOR_CLASS = 32;
	
	/** The Constant V1_BEND_MUSCLE. */
	public static final int V1_BEND_MUSCLE = 64;
	
	/** The Constant V1_ROT_MUSCLE. */
	public static final int V1_ROT_MUSCLE = 128;
}
