package com.framsticks.params;

import com.framsticks.params.annotations.FramsClassAnnotation;
import com.framsticks.params.annotations.ParamAnnotation;

@FramsClassAnnotation(id = "group", name = "group")
public class GroupBuilder {

	@ParamAnnotation
	protected String name;

	public GroupBuilder() {
	}

	@ParamAnnotation
	public GroupBuilder name(String name) {
		this.name = name;
		return this;
	}

	public Group finish() {
		return new Group(name);
	}


}
