package com.framsticks.running;

import com.framsticks.params.annotations.FramsClassAnnotation;
import com.framsticks.params.annotations.ParamAnnotation;

@FramsClassAnnotation
public class FramsServer extends ExternalProcess {

	protected Integer port;

	/**
	 *
	 */
	public FramsServer() {
		super();
		setCommand("/home/psniegowski/mgr/Framsticks32rc5/frams.linux");
		setDirectory("/home/psniegowski/mgr/Framsticks32rc5");
		setName("frams");
	}

	/**
	 * @return the port
	 */
	@ParamAnnotation
	public Integer getPort() {
		return port;
	}

	/**
	 * @param port the port to set
	 */
	@ParamAnnotation
	public void setPort(Integer port) {
		this.port = port;
	}

	@Override
	public void joinableStart() {
		if (port != null) {
			arguments.add("-p" + port);
		}
		super.joinableStart();
	}

}
