package com.framsticks.util.dispatching;

import javax.annotation.Nonnull;


public interface Joinable {

	public boolean use(@Nonnull JoinableParent owner);
	public boolean drop(@Nonnull JoinableParent owner);

	public void join() throws InterruptedException;

	public JoinableState getState();

}
